GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/agent.c File Reference
`#include "defs.h"`
`#include "command.h"`
`#include "gdbcmd.h"`
`#include "target.h"`
`#include "agent.h"`
`#include "observer.h"`
`#include "objfiles.h"`

Go to the source code of this file.

## Functions
static void | show_can_use_agent (struct ui_file *file, int from_tty, struct cmd_list_element *c, const char *value)
static void | set_can_use_agent (const char *args, int from_tty, struct cmd_list_element *c)
static void | agent_new_objfile (struct objfile *objfile)
void | _initialize_agent (void)

## Variables
static const char | can_use_agent_on [] = "on"
static const char | can_use_agent_off [] = "off"
static const char * | can_use_agent_enum []
static const char * | can_use_agent = can_use_agent_off

## Function Documentation

## ◆ _initialize_agent()

void _initialize_agent | ( | void |  | ) |

Definition at line 67 of file agent.c.

References _, add_setshow_enum_cmd(), agent_new_objfile(), can_use_agent, can_use_agent_enum, class_run, observer_attach_new_objfile(), set_can_use_agent(), setlist, show_can_use_agent(), and showlist.

## ◆ agent_new_objfile()

static void agent_new_objfile | ( | struct objfile * | objfile | ) |
| static

Definition at line 58 of file agent.c.

References agent_loaded_p(), and agent_look_up_symbols().

Referenced by _initialize_agent().

## ◆ set_can_use_agent()

static void set_can_use_agent | ( | const char * | args,
|  | int | from_tty,
|  | struct cmd_list_element * | c
| ) |  |
| static

Definition at line 47 of file agent.c.

References can_use_agent, can_use_agent_off, can_use_agent_on, and target_use_agent.

Referenced by _initialize_agent().

## ◆ show_can_use_agent()

static void show_can_use_agent | ( | struct ui_file * | file,
|  | int | from_tty,
|  | struct cmd_list_element * | c,
|  | const char * | value
| ) |  |
| static

Definition at line 38 of file agent.c.

References _, and fprintf_filtered().

Referenced by _initialize_agent().

## Variable Documentation

## ◆ can_use_agent

const char* can_use_agent = can_use_agent_off
| static

Definition at line 35 of file agent.c.

Referenced by _initialize_agent(), and set_can_use_agent().

## ◆ can_use_agent_enum

const char* can_use_agent_enum[]
| static

Initial value:
=
{
can_use_agent_on,
can_use_agent_off,
NULL,
}
can_use_agent_on
static const char can_use_agent_on[]
Definition: agent.c:26
can_use_agent_off
static const char can_use_agent_off[]
Definition: agent.c:27

Definition at line 28 of file agent.c.

Referenced by _initialize_agent().

## ◆ can_use_agent_off

const char can_use_agent_off[] = "off"
| static

Definition at line 27 of file agent.c.

Referenced by set_can_use_agent().

## ◆ can_use_agent_on

const char can_use_agent_on[] = "on"
| static

Definition at line 26 of file agent.c.

Referenced by set_can_use_agent().